From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/classifier-reborn/
Date: Fri, 24 Mar 2017 06:00:07 +0000 (UTC) [thread overview]
Message-ID: <1490334991.0c8d1cbfcab36adf907515165bcdaeec879ee555.graaff@gentoo> (raw)
commit: 0c8d1cbfcab36adf907515165bcdaeec879ee555
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 24 05:55:31 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 24 05:56:31 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c8d1cbf
dev-ruby/classifier-reborn: add 2.1.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-ruby/classifier-reborn/Manifest | 1 +
.../classifier-reborn-2.1.0.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-ruby/classifier-reborn/Manifest b/dev-ruby/classifier-reborn/Manifest
index 6a51b77eb6b..fa0a8f08708 100644
--- a/dev-ruby/classifier-reborn/Manifest
+++ b/dev-ruby/classifier-reborn/Manifest
@@ -1 +1,2 @@
DIST classifier-reborn-2.0.4.tar.gz 40653 SHA256 cd6d283a9f3e7aaffe7fe55d30d8f45ea6ba91027931b6c0c63bad007c9de53c SHA512 f89a075b61c1f36894cc57cba3943174c4414512e6f89dd2fa854126e38132239312f2b3464ffbd9b531d8f2987658fafa9cd8fe29d5f7ad8146984436deddd5 WHIRLPOOL 4f1a6c95fa08f4b3eb38078f441801657fdfa91d22e312fc36a46741f30365388b585fc85fca1693752be567ae3e213d82a522718af649d3af6efe8eecbf6c6f
+DIST classifier-reborn-2.1.0.tar.gz 42088 SHA256 6c6a790ee20e3f08bc09a000c27a0274df16b8c623c314fee975b161d330d8b1 SHA512 0c28128d1eaef8eeb168b372228a52c1bf9683aec3a670eb568fe709eba0b2b5f34ff48f89dd51283b3b560fba3f1908a62407ca8746ad5d74cfa57a03bc38f3 WHIRLPOOL 3a2979a08956194f8cd168512209bcc9415b0741595153aa576cfd6a0113929b435734729fc4e120371ef27fc1a0caa9f56d381faa302b1489425e53d0d434e0
diff --git a/dev-ruby/classifier-reborn/classifier-reborn-2.1.0.ebuild b/dev-ruby/classifier-reborn/classifier-reborn-2.1.0.ebuild
new file mode 100644
index 00000000000..472a90566c3
--- /dev/null
+++ b/dev-ruby/classifier-reborn/classifier-reborn-2.1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.markdown"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Module to allow Bayesian and other types of classifications"
+HOMEPAGE="https://github.com/jekyll/classifier-reborn"
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="gsl test"
+
+ruby_add_rdepend ">=dev-ruby/fast-stemmer-1.0.0
+ !!dev-ruby/classifier
+ gsl? ( dev-ruby/rb-gsl )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ if use !gsl; then
+ sed -e 's/$GSL = true/$GSL = false/'\
+ -e 's/vector_serialize/vector/'\
+ -i lib/${PN}/lsi.rb || die
+ fi
+ # Comment out broken test
+ sed -i -e "/assert 'Normal',/s/^/#/" test/bayes/bayesian_test.rb || die
+
+ sed -i -e '/reporters/I s:^:#:' test/test_helper.rb || die
+}
next reply other threads:[~2017-03-24 6:00 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-24 6:00 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-12-03 14:57 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/classifier-reborn/ Hans de Graaff
2022-07-14 6:19 Hans de Graaff
2020-05-09 9:20 Hans de Graaff
2018-05-06 8:14 Hans de Graaff
2018-02-02 16:44 Hans de Graaff
2018-02-02 16:44 Hans de Graaff
2017-12-15 7:04 Hans de Graaff
2017-08-28 5:54 Hans de Graaff
2016-12-23 21:51 Manuel Rüger
2016-04-06 22:50 Manuel Rüger
2016-02-17 23:22 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1490334991.0c8d1cbfcab36adf907515165bcdaeec879ee555.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox